| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | jiangly | 3670 |
| 3 | Kevin114514 | 3657 |
| 4 | maroonrk | 3355 |
| 5 | Um_nik | 3353 |
| 6 | squareOf105 | 3346 |
| 7 | tourist | 3343 |
| 8 | strapple | 3324 |
| 9 | heuristica | 3322 |
| 10 | jiangbowen | 3291 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 158 |
| 2 | nik_exists | 150 |
| 2 | maspy | 150 |
| 4 | AmShZ | 143 |
| 5 | Um_nik | 141 |
| 6 | Errichto | 139 |
| 7 | adamant | 137 |
| 8 | BledDest | 133 |
| 8 | maroonrk | 133 |
| 10 | qwexd | 130 |
|
+16
Congrats and great blog! There are few write-ups here as well: https://www.quora.com/What-is-your-ACM-ICPC-story |
|
+4
Try this: Ans: 110 |
|
0
Can you re-open the link? Great initiative |
|
+3
What is test #5 of D? |
|
0
4 -1 |
|
+21
How to solve F? |
|
+12
How to solve E? |
|
0
Answer is yes. (1-2, 2-3, 3-4, 4-5) |
|
+5
May be because if a[i]>=N, you need to push i at ind[N]? |
|
+4
What is test #3 of problem C? |
|
+104
I think GreenGrape should write problems for Div 1, not Div 2. |
|
+5
How to solve G? |
|
+5
If n=1500, then we can find all the pairs (i,j) and for each pair we can map it to 1 if inverted else 0, sort it according to j values and build a segment tree of sums out of that. Then, for every l and r we can find effective r' (means how many pairs are there till r) and update (1,r') and effective l' and update (1,l'). In update operation we just invert it (0 if 1, 1 if 0). And the answer will be sum of all nodes in segment tree. Complexity- O(q*log(n*n)) Will this work? |
|
On
rishi_07 →
Please explain the difference between the two solutions ACM ICPC 2018 online round, 9 years ago
0
In this Link user swetankmodi claimed to have used setprecision(18) but still got WA. |
|
On
rishi_07 →
Please explain the difference between the two solutions ACM ICPC 2018 online round, 9 years ago
0
Hi, please check the first image. There I used setprecision(10). Still WA. This is not only my case, check this discussion on codechef Link |
|
On
rishi_07 →
Please explain the difference between the two solutions ACM ICPC 2018 online round, 9 years ago
0
Auto comment: topic has been updated by rishi_07 (previous revision, new revision, compare). |
|
0
But I hacked a solution whose output was 1. It showed me unsuccessful hack!! |
|
0
For this testcase for problem B: 5 3 1 5 0 1 What should be the answer? |
|
0
The answer is NO right! |
|
-13
In DIV 2 C,if the product of the scores is not perfect cube the answer is surely NO. Why did I get Wrong answer then? My solution |
|
0
For Div 1 A/ Div 2 C, consider the following testcase: EDIT: My mistake! Interpreted the question wrong! |
|
+13
He unregistered! |
|
0
How to solve E? |
|
0
Check out my comment here: http://codeforces.me/blog/entry/52927?#comment-369764 |
|
+3
Let's assume there are three vertices, v1,v2 v4. There is another vertex v3 in between v2 and v4. Now, it is not difficult to prove that angle(v2v1v3)=angle(v3v1v4) when the edge connecting (v2,v3) and (v3,v4) are equal. Just join v2 with v4 and v1 with v3. Since the edges (v2,v3) and (v3,v4) are equal, then tiangle (v2,v3,v4) is isosceles and therefore (v1,v3) will pass through the mid-point of (v2,v4). Hence, the difference is equal. |
|
0
214 successful hacks!! Great!
|
|
+43
His handle is justified :p Even after solving all problems, 2nd position! :p |
|
+15
Problem statements were very unclear! One reading was not sufficient at all :( |
|
On
rishi_07 →
(Closed) Clash of date and time of Codeforces Round #416 (Div. 2) with Snackdown Pre-elimination Round., 9 years ago
0
Auto comment: topic has been updated by rishi_07 (previous revision, new revision, compare). |
|
On
rishi_07 →
(Closed) Clash of date and time of Codeforces Round #416 (Div. 2) with Snackdown Pre-elimination Round., 9 years ago
+10
Oh I see..But in the contest page, they mention it will be ACM style. Such ambiguity! Thanks btw, it will be scorebased! |
|
On
rishi_07 →
(Closed) Clash of date and time of Codeforces Round #416 (Div. 2) with Snackdown Pre-elimination Round., 9 years ago
-8
The rankings will be ACM style not score based. So all must start exactly at 21:00. It's of no use to start late. Time will break the ties. Check here: https://www.codechef.com/SNCKPA17 |
|
0
Still waiting......Div 1 ratings already updated...this time too late! |
|
0
all elements >=1 |
|
0
nope. answer is 1. after 1 operation- it turns 0 2 gcd(0,2)=2 |
|
+3
How come? if b1=0 and q=0 then the answer should be infinite!! |
| Name |
|---|


